Loading...
Searching...
No Matches
pappso::TimsFrameRecord Struct Reference

`#include <timsframerecord.h>`

## Public Attributes

std::size_t | frame_id = 0
std::size_t | tims_offset = 0
double | accumulation_time = 0
std::size_t | mz_calibration_id = 0
double | frame_t1 = 0
double | frame_t2 = 0
double | frame_time = 0
int | msms_type = 0
std::size_t | tims_calibration_id = 0

## Detailed Description

Definition at line 34 of file timsframerecord.h.

## Member Data Documentation

## accumulation_time

double pappso::TimsFrameRecord::accumulation_time = 0

Definition at line 38 of file timsframerecord.h.

Referenced by pappso::TimsData::TimsData(), pappso::TimsData::getTimsFrameBaseCstSPtr(), and pappso::TimsData::getTimsFrameCstSPtr().

## frame_id

std::size_t pappso::TimsFrameRecord::frame_id = 0

Definition at line 36 of file timsframerecord.h.

Referenced by pappso::TimsData::TimsData().

## frame_t1

double pappso::TimsFrameRecord::frame_t1 = 0

Definition at line 40 of file timsframerecord.h.

Referenced by pappso::TimsData::TimsData(), pappso::TimsData::getTimsFrameBaseCstSPtr(), and pappso::TimsData::getTimsFrameCstSPtr().

## frame_t2

double pappso::TimsFrameRecord::frame_t2 = 0

Definition at line 41 of file timsframerecord.h.

Referenced by pappso::TimsData::TimsData(), pappso::TimsData::getTimsFrameBaseCstSPtr(), and pappso::TimsData::getTimsFrameCstSPtr().

## frame_time

double pappso::TimsFrameRecord::frame_time = 0

Definition at line 42 of file timsframerecord.h.

Referenced by pappso::TimsData::TimsData(), pappso::TimsData::getTimsFrameBaseCstSPtr(), and pappso::TimsData::getTimsFrameCstSPtr().

## msms_type

int pappso::TimsFrameRecord::msms_type = 0

Definition at line 43 of file timsframerecord.h.

Referenced by pappso::TimsData::TimsData(), pappso::TimsData::getTimsFrameBaseCstSPtr(), and pappso::TimsData::getTimsFrameCstSPtr().

## mz_calibration_id

std::size_t pappso::TimsFrameRecord::mz_calibration_id = 0

Definition at line 39 of file timsframerecord.h.

Referenced by pappso::TimsData::TimsData(), pappso::TimsData::getTimsFrameBaseCstSPtr(), and pappso::TimsData::getTimsFrameCstSPtr().

## tims_calibration_id

std::size_t pappso::TimsFrameRecord::tims_calibration_id = 0

Definition at line 44 of file timsframerecord.h.

Referenced by pappso::TimsData::TimsData(), pappso::TimsData::getTimsFrameBaseCstSPtr(), and pappso::TimsData::getTimsFrameCstSPtr().

## tims_offset

std::size_t pappso::TimsFrameRecord::tims_offset = 0

Definition at line 37 of file timsframerecord.h.

Referenced by pappso::TimsData::TimsData(), pappso::TimsData::getTimsFrameBaseCstSPtr(), and pappso::TimsFrameRawDataChunck::readTimsFrame().

The documentation for this struct was generated from the following file:

- pappsomspp/core/vendors/tims/timsframerecord.h